kover (1:6-1) unstable; urgency=medium

  * New upstream release:
    - uses cdio >= 0.90 (Closes: #881795)
  * Update the patches:
    - upstream_fix-compilation-errors-with-gcc-4.4.patch: drop, backported
      from upstream
    - upstream_make-kover.desktop-valid.patch: drop, backported from upstream
    - upstream_applied-patch-from-Adi-Roiban-adi-roiban.ro.patch: drop,
      backported from upstream
    - fix-PACKAGE-VERSION.diff: remove upstream changes, leave parts in
      comments (so it can be upstreamed)
  * Bump the libcdio-cdda-dev build dependency to >= 0.90, as required by
    upstream.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Remove trailing spaces in changelog.

 -- Pino Toscano <pino@debian.org>  Wed, 15 Nov 2017 20:22:27 +0100

kover (1:4-11) unstable; urgency=medium

  * Rename the PACKAGE and VERSION macros to K_PACKAGE and K_VERSION, like
    it was done upstream: this fixes the KDE name and version of the
    application, so configuration files, translations, etc, are properly
    loaded; patch fix-PACKAGE-VERSION.diff.
  * Rewrite copyright as copyright-format v1.0, and update it.
  * Set the cmake minimum version required and policies; cmake-policy.diff.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Oct 2016 16:48:59 +0200

kover (1:4-10) unstable; urgency=medium

  * Switch myself as Maintainer, as agreed with Rene Engelhard -- thanks Rene
    for all the 14 years of work on it!
  * Stop converting the application PNG icon to xpm, as it was used only by
    the (removed already) Debian menu entry.
    - drop the imagemagick build dependency, no more useful now
  * Use a kover.docs file to install the documentation files, instead of
    passing the file names to dh_installdocs.
  * Do not pass ChangeLog explicitly to dh_installchangelogs, as in
    compat >= 7 (which we use) is detected automatically.
  * Switch format to "3.0 (quilt)".
  * Convert the patches from dpatch to integrated quilt: (Closes: #668640)
    - 02_make-kover.desktop-valid.dpatch: replace with the upstream commit
      5670584e275d2eb119744717291979a11becafa4; patch
      upstream_make-kover.desktop-valid.patch
    - 10-missing_headers.dpatch: replace with the upstream commit
      234296fa6816848c35ad3838efb711bb2e005bd9; patch
      upstream_fix-compilation-errors-with-gcc-4.4.patch
    - make sure upstream_make-kover.desktop-valid.patch is applied
      (Closes: #622303)
    - remove all the patch/unpatch stuff in rules
    - drop the dpatch build dependency, no more useful now
  * Rewrite rules to use the dh sequencer:
    - cmake is correctly configured by debhelper (Closes: #831269)
    - there is no extra RPATH in binaries, so drop the chrpath build dependency
    - enable parallel build
  * Add the Homepage field.
  * Add the Vcs-Browser & Vcs-Git fields.
  * Add a watch file.
  * Link in as-needed mode.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Backport upstream commit e023986e8561ceb71cfef055de8f6b652230133f to build
    and install all the available translations; patch
    upstream_applied-patch-from-Adi-Roiban-adi-roiban.ro.patch. (LP: #478507)

 -- Pino Toscano <pino@debian.org>  Sat, 01 Oct 2016 15:45:29 +0200

kover (1:4-9) unstable; urgency=medium

  * bump dh compat to 9 (closes: #817513); dh_clean -k -> dh_prep
  * remove menu file

 -- Rene Engelhard <rene@debian.org>  Thu, 07 Jul 2016 11:36:26 +0200

kover (1:4-8) unstable; urgency=low

  * fix KDE menu placement, thanks Pino Toscano (closes: #622303)

 -- Rene Engelhard <rene@debian.org>  Mon, 05 Aug 2013 00:07:24 +0200

kover (1:4-7) unstable; urgency=medium

  * add explicit build-dep on cmake now that kdelibs5-dev dropped its
    cmake dep (closes: #581271)

 -- Rene Engelhard <rene@debian.org>  Wed, 12 May 2010 10:38:32 +0200

kover (1:4-6) unstable; urgency=low

  * clean up dmake usage, thanks pusling

 -- Rene Engelhard <rene@debian.org>  Mon, 08 Jun 2009 22:21:41 +0200

kover (1:4-5) unstable; urgency=high

  * The .oO ( don't apply patches.u.c patches with patch -p0 ) release.
  * fix Maintainer:

 -- Rene Engelhard <rene@debian.org>  Mon, 04 May 2009 18:20:15 +0200

kover (1:4-4) unstable; urgency=low

  * currenty install koverui.rc into /usr/share/kde4/apps/kover
    (closes: #524183)

 -- Rene Engelhard <rene@debian.org>  Mon, 04 May 2009 18:19:54 +0200

kover (1:4-3) unstable; urgency=low

  * merge from Ubuntu:
    + Add dpatch support.
    + Add debian/patches/10-missing_headers.dpatch to fix FTBFS.
    (closes: #526157)

 -- Rene Engelhard <rene@debian.org>  Wed, 29 Apr 2009 19:04:15 +0200

kover (1:4-2) unstable; urgency=low

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Tue, 07 Apr 2009 08:48:04 +0200

kover (1:4-1) experimental; urgency=low

  * New upstream release
  * point to GPL-2 in copyright, thanks lintian

 -- Rene Engelhard <rene@debian.org>  Tue, 17 Feb 2009 02:31:00 +0100

kover (1:3-3ubuntu1) jaunty; urgency=low

  * Merge from debian unstable.
  * debian/rules: Add --without-arts option to configure command.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 18 Feb 2009 17:57:21 +0100

kover (1:3-2) experimental; urgency=low

  * Build-Depends: libqt3-compat-headers (closes: #506391)

 -- Rene Engelhard <rene@debian.org>  Fri, 21 Nov 2008 09:35:07 +0100

kover (1:3-1) experimental; urgency=low

  * new upstream release
    - window resizable now (closes: #399570)
    - cdtext.cc gone, so closes: #504899 indirectly
  * run dh_icons (closes: #483614)

 -- Rene Engelhard <rene@debian.org>  Wed, 19 Nov 2008 01:42:33 +0100

kover (1:2.9.6-5ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes (LP: #235743):
    - Added dh_icons
    - Modify Maintainer value to match Debian-Maintainer-Field Spec

 -- Nathan Handler <mrcheatr@gmail.com>  Thu, 29 May 2008 06:19:03 -0500

kover (1:2.9.6-5) unstable; urgency=low

  * add patch from Barry deFfreese to get rid of libqt3-compat-haeders, thanks
    (closes: #465173)

 -- Rene Engelhard <rene@debian.org>  Mon, 11 Feb 2008 10:24:06 +0100

kover (1:2.9.6-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix encoding for changelog. Closes: #453993
  * Change the menu section to "Applications" (thanks, lintian)

 -- Christian Perrier <bubulle@debian.org>  Mon, 04 Feb 2008 23:24:36 +0100

kover (1:2.9.6-4ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Added dh_iconcache
  * Modify Maintainer value to match Debian-Maintainer-Field Spec

  [ Alexander Sack ]
  * After digging around and talking to Steve Kowalik I found out that
    debian/patches/10_configure_no_ansi was added because of FTBFS with
    linux-libc-dev, which according to 1:2.9.6-4 is now fixed by rene
    in debian (add -std=gnu++98). Thus, I dropped the
    10_configure_no_ansi patch deliberately. If build breaks again, blame
    me => dropping remaining ubuntu change "Added
    debian/patches/10_configure_no_ansi that drops -ansi from C{,XX}FLAGS"

 -- Andrea Veri <bluekuja@ubuntu.com>  Fri, 29 Jun 2007 21:28:44 +0200

kover (1:2.9.6-4) unstable; urgency=low

  * add -std=gnu++98 to fix FTBFS with linux-libc-dev (closes: #428925)

 -- Rene Engelhard <rene@debian.org>  Thu, 28 Jun 2007 09:23:55 +0200

kover (1:2.9.6-3ubuntu2) edgy; urgency=low

  * Add debian/patches/10_configure_no_ansi that drops -ansi from
    C{,XX}FLAGS.

 -- Steve Kowalik <stevenk@ubuntu.com>  Thu, 10 Aug 2006 18:25:30 +1000

kover (1:2.9.6-3ubuntu1) edgy; urgency=low

  * Merge from debian unstable.

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Thu,  6 Jul 2006 18:24:44 +1000

kover (1:2.9.6-3) unstable; urgency=low

  * add sv translation, thanks Daniel Nylander (closes: #349147)

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Jan 2006 21:48:25 +0100

kover (1:2.9.6-2ubuntu1) dapper; urgency=low

  * Added dh_iconcache

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Sat, 13 May 2006 20:17:35 +1000

kover (1:2.9.6-2build1) dapper; urgency=low

  * Rebuild for libstdc++ transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Jan 2006 21:48:23 +0000

kover (1:2.9.6-2) unstable; urgency=low

  * rebuild against new KDE
  * Standards:-Version: 3.6.2 (no changes needed)

 -- Rene Engelhard <rene@debian.org>  Sat, 27 Aug 2005 11:57:41 +0200

kover (1:2.9.6-1) unstable; urgency=low

  * new upstream release

 -- Rene Engelhard <rene@debian.org>  Wed, 22 Sep 2004 10:43:22 +0200

kover (1:2.9.5-1) unstable; urgency=low

  * new upstream release
  * Standards-Version: 3.6.1 (no changes needed)
  * quote stuff in menu file
  * work around filename problem, strip e.g. i386-linux away from
    binaries and manpages
  * create the xpm on the fly using convert
  * use linux/cdrom.h again since it seems fixed now

 -- Rene Engelhard <rene@debian.org>  Fri, 30 Apr 2004 15:18:20 +0200

kover (1:2.9.3-3) unstable; urgency=low

  * kderemove="y" in menu file (closes: #190171)

 -- Rene Engelhard <rene@debian.org>  Tue, 22 Apr 2003 16:56:20 +0200

kover (1:2.9.3-2) unstable; urgency=low

  * only disable optimization for building with g++ 2.95 now, since
    g++ 3.2 on alpha hasn't that "internal Compiler Error" problem
    anymore

 -- Rene Engelhard <rene@debian.org>  Sun, 20 Apr 2003 18:48:24 +0200

kover (1:2.9.3-1) unstable; urgency=low

  * new upstream version

 -- Rene Engelhard <rene@debian.org>  Sat, 15 Mar 2003 00:04:11 +0100

kover (1:2.9.2-1) unstable; urgency=low

  * new upstream version

 -- Rene Engelhard <rene@debian.org>  Wed, 12 Mar 2003 01:10:47 +0100

kover (1:2.9.1-2) unstable; urgency=low

  * --enable-final
  * debian/rules cleanup
  * debhelper compat 4
  * Standards-Version: 3.5.9

 -- Rene Engelhard <rene@debian.org>  Tue, 11 Mar 2003 14:17:12 +0100

kover (1:2.9.1-1) unstable; urgency=low

  * New upstream version
  * --with-qt-includes=/usr/include/qt3 *sigh*
  * remove qlist.h from includes, subsitute it with qptrlist.h as qlist.h
    is deprecated; we need the Build-Dependency on libqt3-compat-headers
    anyway, because the kde headers include qlist.h *sigh*

 -- Rene Engelhard <rene@debian.org>  Tue, 11 Feb 2003 00:58:14 +0100

kover (1:2.8.7-1) unstable; urgency=low

  * new upstream version (for KDE 3)
  * use epoch to get sid users who installed upstream's inofficial deb
    previously to install this official one
  * little debian/rules cleanup
  * cleaned up Build-Dependencies
  * revised optimization disabling to use CXXFLAGS instead of the
    &"/&!§ script we used before
  * updated debian/copyright to point to upstream's homepage regarding
    kover instead of http://apps.kde.com
  * bumped Standards-Version: to 3.5.8 (no changes needed)

 -- Rene Engelhard <rene@debian.org>  Sat, 14 Dec 2002 23:21:34 +0100

kover (0.8.4-2) unstable; urgency=low

  * *argh* forgot to change the Standards-Version: field actually,
    doing now...

 -- Rene Engelhard <rene@debian.org>  Tue, 10 Sep 2002 06:02:23 +0200

kover (0.8.4-1) unstable; urgency=low

  * really removed devscripts build-dependency
  * new upstream version
    - kover now appends .kover suffix on saving files...
    - manpages now included upstream
    - removed patches (they are not needed anymore)
       + 02_const_char
       + 03_namespace_std
       + 04_fix_clean_target
       + 05_cddb_path (upstream added ./configure flag)
  * cleanup and modifications at disabling of optimization
  * Standards-Version: bumped to 3.5.7 - reusing the existing modified
    scripts to implement noopt

 -- Rene Engelhard <rene@debian.org>  Sun,  8 Sep 2002 22:20:48 +0200

kover (0.8.3.0-3) unstable; urgency=low

  * autotools has to run before configure, not before build in debian/rules

 -- Rene Engelhard <rene@debian.org>  Sun, 18 Aug 2002 16:55:48 +0200

kover (0.8.3.0-2) unstable; urgency=low

  * something hosed up, the call to make install was removed from
    rules
  * fixed typos in installation of the manpages
  * we do not need the depenency on devscripts anymore

 -- Rene Engelhard <rene@debian.org>  Sun, 18 Aug 2002 16:41:21 +0200

kover (0.8.3.0-1) unstable; urgency=low

  * using dbs now (use a fake new upstream to get the .orig.tar.gz in)
  * rm'd the autotools-script because that does not work with dbs;
    now every build the up to date packages from package autotools-dev
    are copied into $(BUILD_TREE) and $(BUILD_TREE)/admin
  * modified the disabling of optimization on alpha to work with the
    new build-system
  * more (little) debian/rules cleanups
  * new maintainer email

 -- Rene Engelhard <rene@debian.org>  Sun, 18 Aug 2002 14:06:42 +0200

kover (0.8.3-6) unstable; urgency=low

  * debian/rules:
    - put the right variables to the right options at the autoconf check
      (DEB_HOST_GNU_TYPE to --host and DEB_HOST_BUILD_TYPE to --build)
  * added a new script alpha-disable-optimization.sh which disables any
    optimization on alpha; the method used in -5 for some reasons does not
    work even though I tested the criteria with i386. Maybe it broke through
    some update.

 -- Rene Engelhard <rene@rene-engelhard.de>  Sat,  6 Jul 2002 21:52:10 +0200

kover (0.8.3-5) unstable; urgency=low

  * alpha build fixes:
    - disabling any optimization (-O0)
  * fix "debug switch"; when compiled with debug in
    $DEB_BUILD_OPTIONS, you can receive debug output when starting kover
    as kover --debug
  * debian/rules cleanup
  * s/actual/up to date/ in autotools-check-and-replace.sh
  * debian/changelog: s/Author(s)/Authors/
  * fixed autotools-check-and-replace.sh
    - some typos and the not working line wrap at if
    - beautifying output to changelog when config.{sub,guess} were replaced
    - fixed DATE-variables at admin/ part
    - worked around the fact that there if a substitution is made you have
      to stop and rebuild because dch writes root@ into the changelog line
  * cleaned up Build-Dependencies; there were some not neccessary ones
    introduced at the "cleanup" in -4
  * fixed clean target in Makefile.in to remove config.log and
    config.cache.
  * removed senseless and redundant README from upstream because it
    contains only the package description
  * fixed cddb _cgi_ path to get cddb function to work (in fact, reverting the
    change made in -2 due to unconcentrateness at doing changes in -2, I
    wanted to change the right place and did in the wrong)
  * really changed default cddb path (this should now really close 146772)
  * now a Depends: on cddb (this should now really close 146772)
  * added to manpage more description about the "file" argument
  * removing german description (Description-de) because it is not clear
    that this is the right way (dpkg does not know about this field yet)
  * GNU config automated update: config.sub (20020307 to 20020621),
    config.guess (20020320 to 20020529)

 -- Rene Engelhard <rene@rene-engelhard.de>  Sat,  6 Jul 2002 19:36:14 +0200

kover (0.8.3-4) unstable; urgency=low

  * hppa build fixes:
    - Cleared up Build-Dependencies, this shoud let this package now
      build on hppa
  * s390 build fixes:
    - there was an outdated config.{sub,guess} from autoconf 2.13
      here in this package, so we follow the instructions in
      /usr/share/doc/autotools-dev/README.Debian.gz.
    - Added Build-Dependencies on autotools-dev and devscripts as
      described in the document cited above
    - make config.sub executable, required by the steps above
    - we have to do the above steps for config.{sub,guess} in admin/ ,too
  * added german description

 -- Rene Engelhard <rene@rene-engelhard.de>  Wed, 22 May 2002 23:24:42 +0200

kover (0.8.3-3) unstable; urgency=low

  * corrected email change, in -2, I modified the adress in debian/changelog
    but forgot do to so on debian/control also

 -- Rene Engelhard <rene@rene-engelhard.de>  Thu, 16 May 2002 09:06:20 +0200

kover (0.8.3-2) unstable; urgency=low

  * new maintainer email
  * changed default cddb CGI path ~cddb to /var/lib/cddb (closes: #146772)
  * package now Suggests package cddb (closes: #146772)

 -- Rene Engelhard <rene@rene-engelhard.de>  Mon, 13 May 2002 00:05:12 +0200

kover (0.8.3-1) unstable; urgency=low

  * Initial Release. (closes: #145375)
  * added manpage for binary kover
  * added manpage for binary cddb-id
  * adding missing Build-Depends: in debian/control
  * removing RPATH definition by adding --disable-rpath to ./configure
  * menu entry created
  * removed kernel includes
  * g++-3.0 fixes (namespace std)

 -- Rene Engelhard <mail@rene-engelhard.de>  Wed,  1 May 2002 23:26:04 +0200

